playMaker

Author Topic: unity 2018 (.net4x equivalent)  (Read 673 times)

dev19872014

  • Playmaker Newbie
  • *
  • Posts: 20
    • View Profile
unity 2018 (.net4x equivalent)
« on: May 01, 2018, 04:59:37 AM »
Hi,

I am using unity 2018.f1 with playmaker 1.8.9.f1.

When I send Playmaker event from C# script it works in .3.5 but in 4x don't work.

In the editor, its work but in ios device does not work.

Code: [Select]
private void Update()
{
if (string.IsNullOrEmpty(eventName))
{
return;

}
fsm.SendEvent(eventName);}
« Last Edit: May 01, 2018, 05:19:19 AM by dev19872014 »

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 13323
  • Official Playmaker Support
    • View Profile
Re: unity 2018 (.net4x equivalent)
« Reply #1 on: May 02, 2018, 01:21:29 AM »
hi,

 This is confusing, as PlayMaker only works from 4.6 and up and the latest version actually starts at 5.3

 So can you try with Unity 5.6 or Unity 2017 for example?

Bye,

 Jean

dev19872014

  • Playmaker Newbie
  • *
  • Posts: 20
    • View Profile
Re: unity 2018 (.net4x equivalent)
« Reply #2 on: May 02, 2018, 09:00:50 PM »
Sorry, but I am little confused.

In unity (2018.f1) with Playmaker(1.8.9.f1) doesn't work with .net4x equivalent(scripting runtime version) in ios device.
« Last Edit: May 02, 2018, 09:02:49 PM by dev19872014 »

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 13323
  • Official Playmaker Support
    • View Profile
Re: unity 2018 (.net4x equivalent)
« Reply #3 on: May 02, 2018, 10:17:39 PM »
Hi,

 sorry, it's me who did not read properly your post :)

 so yes, 1.8.9 may not work with the 4.x net variant. However I can confirm that the current beta, which is soon to be released, now that 2018 went public, does support and work with 4x on IOS, I just tested now with the 2d platformer demo.

 Bye,

 Jean

dev19872014

  • Playmaker Newbie
  • *
  • Posts: 20
    • View Profile
Re: unity 2018 (.net4x equivalent)
« Reply #4 on: May 03, 2018, 01:34:13 AM »
Thanks for reply :)

Lars Steenhoff

  • Beta Group
  • Playmaker Newbie
  • *
  • Posts: 37
    • View Profile
Re: unity 2018 (.net4x equivalent)
« Reply #5 on: May 14, 2018, 04:12:24 AM »
Can you also check with unity 2018.2 beta? .net4x

It says the playmaker dll has been disabled

Alex Chouls

  • Administrator
  • Hero Member
  • *****
  • Posts: 3315
  • Official Playmaker Support
    • View Profile
    • LinkedIn
Re: unity 2018 (.net4x equivalent)
« Reply #6 on: May 14, 2018, 05:01:14 PM »
1.9.0 also works with the 2018.2 beta.